Hello world!

This is part of Dave Gymer's (that's me!) GNU Bash 1.10 port; the
following files have been posted:

	bash110s.zoo - shell source (as distributed) and documentation
	bash110b.zoo - shell binary
	bash110d.zoo - diffs for MiNT version
	readline.zoo - source for readline library
	glob.zoo - source for glob library

Well, after many months of putting it off, I finally got round to porting
a new version of GNU Bash. This is version 1.10; it's even newer than the
one I use on Eunuchs!

First, some warnings:

YOU WILL NEED MiNT 0.9 TO RUN THIS. It is unlikely that it'll run under
older versions. It will not run under TOS; don't even bother trying.

IT'S GROWN! Bash 1.10 is about 50k larger than 1.05 (my last port).

But don't be put off; if you're running MiNT you're probably a fanatic (like
me) and have lots of memory and disk space.

This port was done with GCC 1.39 and Eric Smith's MiNT library (mntlib)
patchlevel 14. I wouldn't like to try it with any other setup (except, of
course, a newer version of the GCC). I have the GNU glob and readline
libraries installed as standard on my ST; source for these is posted
sperately.

Some things to watch out for:

File extensions on executables are _not_ considered special; if you want to
run `zoo.ttp', you must type `zoo.ttp' (but this is not really much trouble;
you can type `zoo' and then just hit Tab to complete the name).

Executables must have the X bit set; this means that binaries on TOS
paritions _must_ have a .ttp (or .prg etc.) extension. Most of my hard
drive is made of Minix partitions, so this isn't a problem for me.

Most of bash's startup files begin with a period ('.'). The net result of
this is that it's impractical to have a home directory on a TOS filesystem.
This is different from 1.05, where Eric Smith changed the filenames; that
was before the advent of Minix partitions for MiNT. If enough people want
this changed, I guess it'd be easy enough to make this a compile-time option.

Bug reports, patches, humorous manual pages, and suggestions to

dpg@Cs.Nott.AC.UK, or (if you can't get me that way)
Dave Gymer, 42 St Mary's Park, Louth, Lincs, LN11 0EF, England

[ps. I'll be porting 1.12 as soon as I get my SST board; this will (hopefully)
have support for TOS-friendly filenames, user-selectable ^M handling in
scripts and the like, and possibly the ability to handle executable extensions
transparently.]

-- `Grave' Dave.
09 Nov 91
[This update 06 Feb 92 - just has visible _stksize.]
